unit main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, rkSmartPath, ExtCtrls, ComCtrls, ShellCtrls, StdCtrls, Menus;

type
  TfrmMain = class(TForm)
    pnlButtons: TPanel;
    sbMain: TStatusBar;
    pnlDummy: TPanel;
    btnNewFolder: TButton;
    btnAdd: TButton;
    memoDemo: TMemo;
    pbarMain: TrkSmartPath;
    procedure btnAddClick(Sender: TObject);
    procedure btnNewFolderClick(Sender: TObject);
    procedure pbarMainPathChanged(Sender: TObject);
    procedure pbarMainClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.dfm}

procedure TfrmMain.btnAddClick(Sender: TObject);
begin
  pbarMain.Favourites.Add(pbarMain.Path);
end;


procedure TfrmMain.btnNewFolderClick(Sender: TObject);
begin
  pbarMain.DoEdit(True);
end;

procedure TfrmMain.pbarMainClick(Sender: TObject);
begin
  pbarMain.Path:= pbarMain.PopPath;
end;

procedure TfrmMain.pbarMainPathChanged(Sender: TObject);
begin
  sbMain.Panels[0].Text:= pbarMain.Path;
end;

end.
